# RepositoriesMode

@Incubating
enum RepositoriesMode

The repository mode configures how repositories are setup in the build.

#### Since

6.8

## Entries

PREFER_PROJECT
Link copied to clipboard
@Incubating
PREFER_PROJECT

If this mode is set, any repository declared on a project will cause the project to use the repositories declared by the project, ignoring those declared in settings. This is the default behavior.

PREFER_SETTINGS
Link copied to clipboard
@Incubating
PREFER_SETTINGS

If this mode is set, any repository declared directly in a project, either directly or via a plugin, will be ignored.

FAIL_ON_PROJECT_REPOS
Link copied to clipboard
@Incubating
FAIL_ON_PROJECT_REPOS

If this mode is set, any repository declared directly in a project, either directly or via a plugin, will trigger a build error.

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): RepositoriesMode

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<RepositoriesMode>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.